Subject: My Areca Palm is dying!!

From: [email-masked] (Mark Strickland)
Date: Tue, 4 Apr 1995 03:09:57 GMT

I just bought a new areca palm plant for my office at the local chain
grocery store.  Now, a week later, this thing is fading fast (i.e.
large fronds turning brown, leaves wilting, etc.).  The little orange
plastic instructional blurb that was stuck in the soil when I bought it
says to never let it dry out - water thoroughly and often.  I've been
watering it three times a week with about ~12 oz. water (tap) and the
soil has never completely dried out.  The plant is huge (3.5 ft tall,
10in dia. pot), but now it's giving up the ghost.
I'm at the end of my rope and I'd hate to think I didn't give it my best 
try to keep it alive.  Any suggestions?
Thanks in advance.  I'll post a summary of the responses.

__

Mark E. Strickland
[email-masked]